# Change or archive a nearby place

`PATCH /lodging/pois/{id}` · Rivier · bookings

Change or archive a nearby place.

- Scope: bookings:admin
- Mcp: rivier_lodging_poi_update
- Sdk: bookings.poi.update
- Cli: bookings poi update

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "kind": {
      "type": "string",
      "enum": [
        "poi",
        "transport"
      ]
    },
    "category": {
      "type": "string",
      "pattern": "^[a-z_]{2,40}$"
    },
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "lat": {
      "anyOf": [
        {
          "type": "number",
          "minimum": -90,
          "maximum": 90
        },
        {
          "type": "null"
        }
      ]
    },
    "lng": {
      "anyOf": [
        {
          "type": "number",
          "minimum": -180,
          "maximum": 180
        },
        {
          "type": "null"
        }
      ]
    },
    "distanceM": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0,
          "maximum": 40000000
        },
        {
          "type": "null"
        }
      ]
    },
    "travelMode": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "walk",
            "bike",
            "drive",
            "transit"
          ]
        },
        {
          "type": "null"
        }
      ]
    },
    "travelMinutes": {
      "anyOf": [
        {
          "type": "integer",
          "minimum": 0,
          "maximum": 10000
        },
        {
          "type": "null"
        }
      ]
    },
    "content": {
      "type": "object",
      "additionalProperties": {
        "type": "object",
        "additionalProperties": {
          "type": "string",
          "maxLength": 8000
        },
        "propertyNames": {
          "pattern": "^[A-Za-z]{1,32}$"
        }
      },
      "propertyNames": {
        "pattern": "^[a-z]{2,3}(-[A-Za-z0-9]{2,8})?$"
      },
      "default": {}
    },
    "position": {
      "type": "integer",
      "minimum": 0,
      "maximum": 10000
    },
    "status": {
      "type": "string",
      "enum": [
        "active",
        "archived"
      ]
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PATCH 'https://api.rivier.ai/lodging/pois/{id}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "kind": "poi",
  "category": "string",
  "name": "string",
  "lat": 0,
  "lng": 0,
  "distanceM": 0,
  "travelMode": "walk",
  "travelMinutes": 0
}'
```
